﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnPost_Click(object sender, EventArgs e)
    {
        if(! file1.HasFile)
        {
            Alert("还未选择要上传的文件.");
            return;
        }

        HttpPostedFile myFile = file1.PostedFile;

        string result = "";

        try
        {
            
            //将文件转换成字节形式
            byte[] fileByte = new byte[myFile.InputStream.Length];
            myFile.InputStream.Read(fileByte, 0, fileByte.Length);

            //通过WebClient类来提交文件数据

            //定义提交URL地址,它会接收文件的字节数据，并保存，再返回相应的结果[此处具体用的时候要修改]
            string postUrl = "http://localhost:2956/Upload/uploadpic.aspx?oldfilename=" + myFile.FileName;
            System.Net.WebClient webClient = new System.Net.WebClient();
            byte[] responseArray = webClient.UploadData(postUrl, "POST", fileByte);

            //将返回的字节数据转成字符串（也就是uploadpic.aspx里面的页面输出内容）
            result = System.Text.Encoding.Default.GetString(responseArray, 0, responseArray.Length);

            //返回结果的处理
            switch (result)
            {
                case "-1":
                    Alert("上传头像时发生异常，未提交成功。");
                    return;
                case "0":
                    Alert("您还未选择头像。");
                    return;
            }
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
            return;
        }

        Alert("上传成功!\r\n结果是：" + result);
    }

    #region 在客户端发出Alert提示窗口
    /// <summary>
    /// sumary:弹出一个提示窗口
    /// </summary>
    /// <param name="msg">提示信息</param>
    /// <param name="url">要专向的地址,不转请传空字符串</param>
    public void Alert(string msg, string url)
    {

        string goUrlScript = "";
        if (url != "")
        {
            goUrlScript = "document.location.href='" + url + "';";
        }
        Page.RegisterStartupScript("alert", "<script type='text/javascript'>alert('" + msg + "');" + goUrlScript + "</script>");
    }

    /// <summary>
    /// 弹出错误提示
    /// </summary>
    /// <param name="msg">提示信息，支持HTML</param>
    public void Alert(string msg)
    {
        Alert(msg, "");
    }

    #endregion
}
